Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ConcreteClassRep< T > Class Template Reference

`#include <consoleObject.h>`

Inheritance diagram for ConcreteClassRep< T >:

## Public Member Functions
| ConcreteClassRep (const char *name, S32 netClassGroupMask, S32 netClassType, S32 netEventDir, AbstractClassRep *parent)
virtual AbstractClassRep * | getContainerChildClass (const bool recurse)
virtual WriteCustomTamlSchema | getCustomTamlSchema (void)
void | init () const
ConsoleObject * | create () const
| Wrap constructor. More...
Public Member Functions inherited from AbstractClassRep
| AbstractClassRep ()
virtual | ~AbstractClassRep ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const
Namespace * | getNameSpace ()
AbstractClassRep * | getNextClass ()
AbstractClassRep * | getParentClass ()
bool | isClass (AbstractClassRep *acr)
| Helper class to see if we are a given class, or a subclass thereof. More...
const Field * | findField (StringTableEntry fieldName) const
AbstractClassRep * | findFieldRoot (StringTableEntry fieldName)
AbstractClassRep * | findContainerChildRoot (AbstractClassRep *pChild)

## Additional Inherited Members
Public Types inherited from AbstractClassRep
enum | ACRFieldTypes { StartGroupFieldType = 0xFFFFFFFD, EndGroupFieldType = 0xFFFFFFFE, DepricatedFieldType = 0xFFFFFFFF }
typedef bool(* | SetDataNotify) (void *obj, const char *data)
| This is a function pointer typedef to support get/set callbacks for fields. More...
typedef const char *(* | GetDataNotify) (void *obj, const char *data)
typedef bool(* | WriteDataNotify) (void *obj, const char *pFieldName)
| This is a function pointer typedef to support optional writing for fields. More...
typedef void(* | WriteCustomTamlSchema) (const AbstractClassRep *pClassRep, TiXmlElement *pParentElement)
| Allows the writing of a custom TAML schema. More...
typedef Vector< Field > | FieldList
Static Public Member Functions inherited from AbstractClassRep
static void | registerClassRep (AbstractClassRep *)
static AbstractClassRep * | findClassRep (const char *in_pClassName)
static void | initialize ()
static void | destroyFieldValidators (AbstractClassRep::FieldList &mFieldList)
static U32 | getClassCRC (U32 netClassGroup)
static AbstractClassRep * | getClassList ()
Public Attributes inherited from AbstractClassRep
FieldList | mFieldList
bool | mDynamicGroupExpand
S32 | mClassGroupMask
| Mask indicating in which NetGroups this object belongs. More...
S32 | mClassType
| Stores the NetClass of this class. More...
S32 | mNetEventDir
| Stores the NetDirection of this class. More...
S32 | mClassId [NetClassGroupsCount]
| Stores the IDs assigned to this class for each group. More...
Static Public Attributes inherited from AbstractClassRep
static U32 | NetClassCount [NetClassGroupsCount][NetClassTypesCount] = {{0, },}
static U32 | NetClassBitSize [NetClassGroupsCount][NetClassTypesCount] = {{0, },}
Static Protected Member Functions inherited from AbstractClassRep
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
Protected Attributes inherited from AbstractClassRep
const char * | mClassName
AbstractClassRep * | nextClass
AbstractClassRep * | parentClass
Namespace * | mNamespace
Static Protected Attributes inherited from AbstractClassRep
static AbstractClassRep ** | classTable [NetClassGroupsCount][NetClassTypesCount]
static AbstractClassRep * | classLinkList = NULL
static U32 | classCRC [NetClassGroupsCount] = {INITIAL_CRC_VALUE, }
static bool | initialized = false

## Constructor & Destructor Documentation

ConcreteClassRep | ( | const char * | name,
|  | S32 | netClassGroupMask,
|  | S32 | netClassType,
|  | S32 | netEventDir,
|  | AbstractClassRep * | parent
| ) |  |
| inline

## Member Function Documentation

ConsoleObject* create | ( |  | ) | const
| inline virtual

Wrap constructor.

Implements AbstractClassRep.

virtual AbstractClassRep* getContainerChildClass | ( | const bool | recurse | ) |
| inline virtual

Implements AbstractClassRep.

virtual WriteCustomTamlSchema getCustomTamlSchema | ( | void |  | ) |
| inline virtual

Implements AbstractClassRep.

void init | ( |  | ) | const
| inline virtual

Perform class specific initialization tasks.

Link namespaces, call initPersistFields() and consoleInit().

Implements AbstractClassRep.

The documentation for this class was generated from the following file:

- console/consoleObject.h